Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.impl.handler
Interface MessageHandler<T>

Type Parameters:
  `T` - the message type.

All Known Implementing Classes:
  AuthenticationDataMessageHandler, ClientEnvironmentMessageHandler, ContinueInsecureMessageHandler, FileDigestsDataMessageHandler, HelloMessageHandler, IdentityDataMessageHandler, SignatureDataMessageHandler, SignCertificatesDataMessageHandler

    public interface MessageHandler<T>

Interface for a message handler. A message handler has the same lifecycle as the `AppletServiceServlet` dispatcher servlet.

Author:
  Frank Cornelis
See Also:
  `AppletServiceServlet`

Method Summary
`Object` | `handleMessage(T message, Map<String,String> httpHeaders, HttpServletRequest request, HttpSession session)` Handles the given message.
`void` | `init(ServletConfig config)` Initializes this message handler.

Method Detail

### handleMessage

    Object handleMessage(T message,
                         Map<String,String> httpHeaders,
                         HttpServletRequest request,
                         HttpSession session)
                         throws ServletException

  Handles the given message. Returns the response message to send back, this can be `null`.

  Parameters:
    `message` -
    `httpHeaders` -
    `request` - the request from which the body already may be consumed.
    `session` -
  Returns:
    the optional response message to send back.
  Throws:
    `ServletException`

### init

    void init(ServletConfig config)
              throws ServletException

  Initializes this message handler.

  Parameters:
    `config` -
  Throws:
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 FedICT. All Rights Reserved.